#!/bin/bash

if [ "$#" -ne 1 ]; then
    echo "Usage: $0 {patch|unpatch}"
    exit 1
fi

ACTION=$1

if [ "$ACTION" = "patch" ]; then
    echo "setup port redirect 80 -> 5353"
    sudo iptables -t nat -A PREROUTING -p tcp --dport 80 -j REDIRECT --to-port 5353
    sudo iptables -t nat -A OUTPUT -p tcp --dport 80 -j REDIRECT --to-port 5353
    echo "Redirect established."
elif [ "$ACTION" = "unpatch" ]; then
    echo "remove port redirect port 80 -> 5353"
    sudo iptables -t nat -D PREROUTING -p tcp --dport 80 -j REDIRECT --to-port 5353
    sudo iptables -t nat -D OUTPUT -p tcp --dport 80 -j REDIRECT --to-port 5353
    echo "Redirect removed."
else
    echo "Invalid parameter. Use: $0 {patch|unpatch}"
    exit 1
fi
